Subject: bug#35307: closed (Re: bug#35307: sql.el - Product "ms" is missing "prompt-cont-regexp")

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 21 Apr 2019 05:36:02 +0000

Your bug report

#35307: sql.el - Product "ms" is missing  "prompt-cont-regexp"

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35307: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35307
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35307: sql.el - Product "ms" is missing "prompt-cont-regexp"
From: Michael Mauger <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: "[email-masked]" <[email-masked]>,Sebastián Monía <[email-masked]>
Date: Sun, 21 Apr 2019 05:35:02 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Thursday, April 18, 2019 9:55 AM, Eli Zaretskii <[email-masked]> wrote:

> > From: Sebastián Monía
>
> > [email-masked]
> > Date: Wed, 17 Apr 2019 17:10:22 +0000
> > I've noticed this in the past but for reason didn't notice I should report it until I downloaded the Emacs 27 Alpha
> > recently and had to fix it again.
> > The configuration for MS SQL Server in sql.el is missing "prompt-cont-regexp" and thus breaks when you
> > launch SQLi.
> > All that is needed is the following:
> > (ms
> > :name "Microsoft"
> > :font-lock sql-mode-ms-font-lock-keywords
> > :sqli-program sql-ms-program
> > :sqli-options sql-ms-options
> > :sqli-login sql-ms-login-params
> > :sqli-comint-func sql-comint-ms
> > :prompt-regexp "^[0-9]>"
> > ;; below the new line
> > :prompt-cont-regexp "^[0-9]>";; above the new line
> > :prompt-length 5
> > :syntax-alist ((?@ . "_"))
> > :terminator ("^go" . "go"))
>
> Thanks. Michael, could you please look into this?

The property has been added to the ms dialect, and the code has been enhanced to
properly handle the absence of the property.

--
[email-masked] // FSF and EFF member // GNU Emacs sql.el maintainer

Subject: sql.el - Product "ms" is missing "prompt-cont-regexp"
From: Sebastián Monía <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Wed, 17 Apr 2019 17:10:22 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I've noticed this in the past but for reason didn't notice I should report it until I downloaded the Emacs 27 Alpha recently and had to fix it again.
The configuration for MS SQL Server in sql.el is missing "prompt-cont-regexp" and thus breaks when you launch SQLi.

All that is needed is the following:

(ms
     :name "Microsoft"
     :font-lock sql-mode-ms-font-lock-keywords
     :sqli-program sql-ms-program
     :sqli-options sql-ms-options
     :sqli-login sql-ms-login-params
     :sqli-comint-func sql-comint-ms
     :prompt-regexp "^[0-9]*>"
      ;; below the new line
     :prompt-cont-regexp "^[0-9]*>"
      ;; above the new line
     :prompt-length 5
     :syntax-alist ((?@ . "_"))
     :terminator ("^go" . "go"))

Thank you!
Sebastián